CREATE DATABASE ksiegarnia1
GO

USE ksiegarnia1
GO

/*CREATE TABLE Prasa
(
	ID_Prasa INTEGER IDENTITY(1,1) PRIMARY KEY,
	Tytu varchar(100) UNIQUE NOT NULL,
	CzstotliwoWydawania nvarchar(128),
	Numer nvarchar(20),
	PrzedzialCenowy nvarchar(20),
)
GO

CREATE TABLE Sprzedaz_prasy
(
    Ilosc INTEGER NOT NULL,
    Cena_kupna DECIMAL(10,4),
    Zysk DECIMAL(10,4),
    ID_Prasy INTEGER FOREIGN KEY REFERENCES Prasa,
    ID_Data_Sprzedazy INTEGER FOREIGN KEY REFERENCES Data,
	ID_Data_Oplacenia INTEGER FOREIGN KEY REFERENCES Data,
	ID_Sprzedawcy INTEGER FOREIGN KEY REFERENCES Sprzedawca,
	ID_Smieci INTEGER FOREIGN KEY REFERENCES Smieci,
	ID_Czasu INTEGER FOREIGN KEY REFERENCES Czas,
	NumerTransakcji varchar(15),
)
GO*/



CREATE TABLE Czas(
	ID_Czasu INTEGER IDENTITY(1,1) PRIMARY KEY,
	Godzina INTEGER UNIQUE NOT NULL,
	PoraDnia varchar(20) NOT NULL,
)
GO

CREATE TABLE Ksiegarnia(
	ID_Ksiegarni INTEGER IDENTITY(1,1) PRIMARY KEY,
	NazwaKsiegarni varchar(20),
	Wojewodztwo varchar(20),
	Miasto varchar(20),
	WielkoKsigarni varchar(20),
)
GO

CREATE TABLE Sprzedawca(
	ID_Sprzedawcy INTEGER IDENTITY(1,1) PRIMARY KEY,
	PESEL varchar(11),
	ImieINazwisko varchar(128),
	PrzedzialWiekowy varchar(20),
	Wyksztalcenie varchar(20),
	DataWstawienia datetime not null,
	DataWygasniecia datetime,
	Aktualnosc BIT,
	ZatrudnienieNaStanowiksu varchar(20),
	StazPracy varchar(20),
	ID_Szefa INTEGER FOREIGN KEY REFERENCES Sprzedawca,
	ID_Ksiegarni INTEGER FOREIGN KEY REFERENCES Ksiegarnia,
	inferred BIT NOT NULL DEFAULT 1
)
GO

CREATE TABLE Ksiazka
(
	ID_Ksiazki INTEGER IDENTITY(1,1) PRIMARY KEY,
	ISBN varchar(20) NOT NULL,
	Gatunek nvarchar(128),
	Tytul nvarchar(128),
	PrzedzialCenowy nvarchar(20),
)
GO

CREATE TABLE Data
(
    ID_Daty INTEGER IDENTITY(1,1) PRIMARY KEY,
    Data datetime unique,
	Rok varchar(4),
	Miesiac varchar(15),
	DzienTygodnia varchar(15),
	DzienPracujacy varchar(128),
	CzasWakacyjny varchar(128),
	Swieto varchar(128),
	DzienPrzedswiateczny varchar(128),
)
GO

CREATE TABLE Smieci
(
	ID_Smieci INTEGER IDENTITY(1,1) PRIMARY KEY,
	Stanowisko varchar(20),
	FormaPlatnosci varchar(15),
)
GO

CREATE TABLE Sprzedaz_ksiazki
(
    Ilosc INTEGER NOT NULL,
    Cena_kupna DECIMAL(10,4),
    Zysk DECIMAL(10,4),
    ID_Ksiazki INTEGER FOREIGN KEY REFERENCES Ksiazka,
    ID_Data_Sprzedazy INTEGER FOREIGN KEY REFERENCES Data,
	ID_Data_Oplacenia INTEGER FOREIGN KEY REFERENCES Data,
	ID_Sprzedawcy INTEGER FOREIGN KEY REFERENCES Sprzedawca,
	ID_Smieci INTEGER FOREIGN KEY REFERENCES Smieci,
	ID_Czasu INTEGER FOREIGN KEY REFERENCES Czas,
	NumerTransakcji varchar(15),
)
GO

CREATE TABLE Autor
(
	ID_Autora INTEGER IDENTITY(1,1) PRIMARY KEY,
	ImieINazwisko varchar(128),
)
GO

CREATE TABLE Autorstwo
(
	ID_Autora INTEGER FOREIGN KEY REFERENCES Autor,
	ID_Ksiazki INTEGER FOREIGN KEY REFERENCES Ksiazka,
)
GO

